ClassEditor (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.core.support

## [Java] Class ClassEditor

- org.grails.core.support.ClassEditor

- Converts Strings to Class references for Spring.

  Authors:
    Steven Devijver
    Graeme Rocher
  Since:
    Aug 8, 2005

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassEditor ()`
    `ClassEditor (java.lang.Object source)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getAsText()`
    `void` | `setAsText(java.lang.String className)`
    `void` | `setClassLoader(java.lang.ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.beans.PropertyEditorSupport` | `java.beans.PropertyEditorSupport#isPaintable(), java.beans.PropertyEditorSupport#paintValue(java.awt.Graphics, java.awt.Rectangle), java.beans.PropertyEditorSupport#getJavaInitializationString(), java.beans.PropertyEditorSupport#setAsText(java.lang.String), java.beans.PropertyEditorSupport#supportsCustomEditor(), java.beans.PropertyEditorSupport#setSource(java.lang.Object), java.beans.PropertyEditorSupport#addPropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#removePropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#firePropertyChange(), java.beans.PropertyEditorSupport#getSource(), java.beans.PropertyEditorSupport#getTags(), java.beans.PropertyEditorSupport#getAsText(), java.beans.PropertyEditorSupport#getCustomEditor(), java.beans.PropertyEditorSupport#getValue(), java.beans.PropertyEditorSupport#setValue(java.lang.Object), java.beans.PropertyEditorSupport#wait(long, int), java.beans.PropertyEditorSupport#wait(long), java.beans.PropertyEditorSupport#wait(), java.beans.PropertyEditorSupport#equals(java.lang.Object), java.beans.PropertyEditorSupport#toString(), java.beans.PropertyEditorSupport#hashCode(), java.beans.PropertyEditorSupport#getClass(), java.beans.PropertyEditorSupport#notify(), java.beans.PropertyEditorSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ClassEditor()

    - #### public ClassEditor(java.lang.Object source)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.String getAsText()

    - #### @java.lang.Override public void setAsText(java.lang.String className)

    - #### public void setClassLoader(java.lang.ClassLoader classLoader)